WinStd Windows Win32 API using Standard C++

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
winstd::cert_context Class Reference
Cryptography API

PCCERT_CONTEXT wrapper class. More...

`#include <WinStd/Crypt.h>`

Inheritance diagram for winstd::cert_context:

## Public Member Functions
virtual | ~cert_context ()
| Destroys the certificate context.
bool | operator== (const handle_type &other) const noexcept
| Is certificate equal to?
bool | operator!= (const handle_type &other) const noexcept
| Is certificate not equal to?
bool | operator< (const handle_type &other) const noexcept
| Is certificate less than?
bool | operator> (const handle_type &other) const noexcept
| Is certificate greater than?
bool | operator<= (const handle_type &other) const noexcept
| Is certificate less than or equal?
bool | operator>= (const handle_type &other) const noexcept
| Is certificate greater than or equal?
Public Member Functions inherited from winstd::dplhandle< PCCERT_CONTEXT, NULL >
| dplhandle () noexcept
| Initializes a new class instance with the object handle set to INVAL.
| dplhandle (handle_type h) noexcept
| Initializes a new class instance with an already available object handle.
| dplhandle (const dplhandle< handle_type, INVAL > &h)
| Copy constructor.
| dplhandle (dplhandle< handle_type, INVAL > &&h) noexcept
| Move constructor.
dplhandle< handle_type, INVAL > & | operator= (handle_type h) noexcept
| Attaches already available object handle.
dplhandle< handle_type, INVAL > & | operator= (const dplhandle< handle_type, INVAL > &h) noexcept
| Duplicates the object.
dplhandle< handle_type, INVAL > & | operator= (dplhandle< handle_type, INVAL > &&h) noexcept
| Moves the object.
handle_type | duplicate () const
| Duplicates and returns a new object handle.
void | attach_duplicated (handle_type h)
| Duplicates an object handle and sets a new object handle.
Public Member Functions inherited from winstd::handle< T, INVAL >
| handle () noexcept
| Initializes a new class instance with the object handle set to INVAL.
| handle (handle_type h) noexcept
| Initializes a new class instance with an already available object handle.
| handle (handle< handle_type, INVAL > &&h) noexcept
| Move constructor.
handle< handle_type, INVAL > & | operator= (handle_type h) noexcept
| Attaches already available object handle.
handle< handle_type, INVAL > & | operator= (handle< handle_type, INVAL > &&h) noexcept
| Move assignment.
| operator handle_type () const
| Auto-typecasting operator.
handle_type *& | operator* () const
| Returns the object handle value when the object handle is a pointer to a value (class, struct, etc.).
handle_type * | operator& ()
| Returns the object handle reference.
handle_type | operator-> () const
| Provides object handle member access when the object handle is a pointer to a class or struct.
bool | operator! () const
| Tests if the object handle is invalid.
bool | operator< (handle_type h) const
| Is handle less than?
bool | operator<= (handle_type h) const
| Is handle less than or equal to?
bool | operator>= (handle_type h) const
| Is handle greater than or equal to?
bool | operator> (handle_type h) const
| Is handle greater than?
bool | operator!= (handle_type h) const
| Is handle not equal to?
bool | operator== (handle_type h) const
| Is handle equal to?
void | attach (handle_type h) noexcept
| Sets a new object handle for the class.
handle_type | detach ()
| Dismisses the object handle from this class.
void | free ()
| Destroys the object.

## Protected Member Functions
void | free_internal () noexcept override
| Destroys the certificate context.
handle_type | duplicate_internal (handle_type h) const override
| Duplicates the certificate context.

## Additional Inherited Members
Public Types inherited from winstd::handle< T, INVAL >
typedef T | handle_type
| Datatype of the object handle this template class handles.
Static Public Attributes inherited from winstd::handle< T, INVAL >
static const T | invalid = INVAL
| Invalid handle value.
Protected Attributes inherited from winstd::handle< T, INVAL >
handle_type | m_h
| Object handle.

## Detailed Description

PCCERT_CONTEXT wrapper class.

See also
  CertCreateCertificateContext function

## Constructor & Destructor Documentation

## ◆ ~cert_context()

virtual winstd::cert_context::~cert_context | ( |  | ) |
| inline virtual

Destroys the certificate context.

See also
  CertFreeCertificateContext function

## Member Function Documentation

## ◆ duplicate_internal()

handle_type winstd::cert_context::duplicate_internal | ( | handle_type | h | ) | const
| inline override protected virtual

Duplicates the certificate context.

Parameters

  [in] | h | Object handle of existing certificate context

Returns
  Duplicated certificate context handle

See also
  CertDuplicateCertificateContext function

Implements winstd::dplhandle< PCCERT_CONTEXT, NULL >.

## ◆ free_internal()

void winstd::cert_context::free_internal | ( |  | ) |
| inline override protected virtual noexcept

Destroys the certificate context.

See also
  CertFreeCertificateContext function

Implements winstd::handle< T, INVAL >.

## ◆ operator!=()

bool winstd::cert_context::operator!= | ( | const handle_type & | other | ) | const
| inline noexcept

Is certificate not equal to?

Parameters

  [in] | other | Certificate to compare against

Returns
  - Non zero when certificate is not equal to `other`;
  - Zero otherwise.

## ◆ operator<()

bool winstd::cert_context::operator< | ( | const handle_type & | other | ) | const
| inline noexcept

Is certificate less than?

Parameters

  [in] | other | Certificate to compare against

Returns
  - Non zero when certificate is less than `other`;
  - Zero otherwise.

## ◆ operator<=()

bool winstd::cert_context::operator<= | ( | const handle_type & | other | ) | const
| inline noexcept

Is certificate less than or equal?

Parameters

  [in] | other | Certificate to compare against

Returns
  - Non zero when certificate is less than `other`;
  - Zero otherwise.

## ◆ operator==()

bool winstd::cert_context::operator== | ( | const handle_type & | other | ) | const
| inline noexcept

Is certificate equal to?

Parameters

  [in] | other | Certificate to compare against

Returns
  - Non zero when certificate is equal to `other`;
  - Zero otherwise.

## ◆ operator>()

bool winstd::cert_context::operator> | ( | const handle_type & | other | ) | const
| inline noexcept

Is certificate greater than?

Parameters

  [in] | other | Certificate to compare against

Returns
  - Non zero when certificate is greater than `other`;
  - Zero otherwise.

## ◆ operator>=()

bool winstd::cert_context::operator>= | ( | const handle_type & | other | ) | const
| inline noexcept

Is certificate greater than or equal?

Parameters

  [in] | other | Certificate to compare against

Returns
  - Non zero when certificate is greater than `other`;
  - Zero otherwise.

The documentation for this class was generated from the following file:

- include/WinStd/Crypt.h